## MiragePlugin MiragePlugin — Plugin object. |

## Functions

MiragePlugin * | mirage_plugin_new ()

## Properties

gchar * | filename | Read / Write / Construct Only

## Types and Values

struct | MiragePlugin
struct | MiragePluginClass

## Object Hierarchy

        GObject
        ╰── GTypeModule
            ╰── MiragePlugin

## Implemented Interfaces

MiragePlugin implements GTypePlugin.

## Includes

    #include <mirage-plugin.h>

## Description

MiragePlugin object is a base object of libMirage's plugin system and derives from GTypeModule. It provides support for loadable modules that contain implementations of image parsers, image writers and/or filter streams.

The plugin system is used internally by libMirage, and should generally not be used elsewhere.

## Functions

### mirage_plugin_new ()

    MiragePlugin *
    mirage_plugin_new (const gchar *filename);

Creates new plugin.

#### Parameters

filename | plugin's filename. | [in]

#### Returns

a new MiragePlugin object that represents plugin. It should be released with `g_object_unref()` when no longer needed.

## Types and Values

### struct MiragePlugin

    struct MiragePlugin;

All the fields in the MiragePlugin structure are private to the MiragePlugin implementation and should never be accessed directly.

### struct MiragePluginClass

    struct MiragePluginClass {
        GTypeModuleClass parent_class;
    };

The class structure for the MiragePlugin type.

#### Members

GTypeModuleClass `parent_class`; | the parent class |

## Property Details

### The `“filename”` property

      “filename”                 gchar *

The filename of the module.

Flags: Read / Write / Construct Only

Default value: NULL

## See Also

MirageParser, MirageWriter, MirageFilterStream